Name:		virtualmoon
Version:	6.0
Release:	%mkrel 6
Source:		http://sourceforge.net/projects/virtualmoon/files/1- virtualmoon/Version %{version}/virtualmoon-%{version}-src.tgz
Summary:	Software for Moon observation and survey
License:	GPLv2+
Group:		Sciences/Astronomy
Url:		http://www.astrosurf.com/avl 
Patch0:		virtualmoon.build.patch
Patch1:		virtualmoon-6.0-mga-cairo-unit.patch
Patch2:		virtualmoon-nostrip.diff

BuildRequires: fpc
BuildRequires: lazarus
BuildRequires: mesaglu-devel
Requires: virtualmoon-data

%description
Software for Moon observation and survey. Let you visualize the real
Moon aspect at every time. Also help to study any lunar formations
using feature database and pictures library.


%prep
%setup -q -n virtualmoon-%{version}-src
%apply_patches
sed -i -e s!destdir/lib!destdir/%{_lib}!g install.sh
sed -i -e s!../pixmaps/!! -e s!.xpm!! -e s!Astronomy!Astronomy\;! Installer/Linux/vmapro/share/applications/*.desktop

%build
# This is not GNU configure
./configure lazarus=%{_libdir}/lazarus
# Must use single threaded since Makefile doesn't work
# multi-thread
make -j1 FPCOPT="-g"

%install
./install.sh %{buildroot}%{_prefix}
%{__install} -d -m755 %{buildroot}%{_datadir}/virtualmoon
mv %{buildroot}%{_datadir}/doc/%{name}/* doc
cp -r Database %{buildroot}%{_datadir}/virtualmoon
cp -r Encyclopedia %{buildroot}%{_datadir}/virtualmoon
# (tv) fix debufinfo:
chmod +x %{buildroot}%{_libdir}


%files
%doc doc/*
%{_bindir}/*lun
%{_libdir}/libvma404.so
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.xpm



%changelog
* Sun May 28 2017 neoclust <neoclust> 6.0-6.mga6
+ Revision: 1105338
- Rebuild for arm

* Sat Feb 20 2016 umeabot <umeabot> 6.0-5.mga6
+ Revision: 972040
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 tv <tv> 6.0-4.mga6
+ Revision: 895121
- fix debuginfo:
  o use -g
  o patch 2: do not strip
  o make library executable

* Fri Oct 24 2014 danf <danf> 6.0-4.mga5
+ Revision: 792900
- Added cairo-unit.patch to fix build error about finding unit CairoCanvas

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild
    - Mageia 4 Mass Rebuild

* Thu Jul 25 2013 joequant <joequant> 6.0-1.mga4
+ Revision: 458055
- fix rpmlint
- imported package virtualmoon

